Subject: bug#33398: closed (Re: bug#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 20 Dec 2018 23:03:02 +0000

Your bug report

#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33398: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33398
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion
From: Juri Linkov <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 21 Dec 2018 01:01:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>> > (defface hi-redgold
>> >   '((((min-colors 8)) (:background "red"))
>> >     (t (:background "gold")))
>> >   "Face for hi-lock mode."
>> >   :group 'hi-lock-faces)
>> >
>> > I see no reason to use "red" on 16-color terminals, nor "orange" on
>> > color TTYs with at least 88 colors.  The translation of "gold" should
>> > be good enough in those cases.  Isn't it?
>>
>> I tried, and it used "red" even on 88-colors.
>
> I don't have access to such a terminal, but on a 16-color TTY "gold"
> displays as bright yellow, which is definitely not red.  So I'm
> surprised you see red on a 88-color TTY.

Actually, I meant that I see red on a 88-color graphical display.

>> But given that LightSalmon is a good choice, I copied the same
>> definitions from other faces, substituted with new colors and they
>> look good on all environments:
>>
>> (defface hi-salmon
>>   '((((min-colors 88) (background dark))
>>      (:background "light salmon" :foreground "black"))
>>     (((background dark)) (:background "red" :foreground "black"))
>>     (((min-colors 88)) (:background "light salmon"))
>>     (t (:background "red")))
>>   "Face for hi-lock mode."
>>   :group 'hi-lock-faces)
>>
>> (defface hi-aquamarine
>>   '((((min-colors 88) (background dark))
>>      (:background "aquamarine" :foreground "black"))
>>     (((background dark)) (:background "blue" :foreground "black"))
>>     (((min-colors 88)) (:background "aquamarine"))
>>     (t (:background "blue")))
>>   "Face for hi-lock mode."
>>   :group 'hi-lock-faces)
>
> Thanks.

Installed to master and closed.  It seems there is no need to update NEWS
because the users will see themselves two new colors added.

Subject: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion
From: Van L <[email-masked]>
To: [email-masked]
Date: Thu, 15 Nov 2018 23:58:13 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This is a suggestion for a reasonable default fore/background color combo.

Run: 
  emacs -Q

See:
  Customize Group: Hi Lock Faces
  Hi Green B

I see:
  foreground:green1 
  background:white (which I guess is a received setting from somewhere else)

For me, this is a very difficult combo to see. 

I’d like to suggest the default to be for `Hi Green B':

  foreground:darkcyan